%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Notification Daemon
Name:		notification-daemon
Version:	3.20.0
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Servers
URL:		http://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig(gio-2.0) >= 2.27.0
BuildRequires: pkgconfig(glib-2.0) >= 2.27.0
BuildRequires: pkgconfig(gtk+-3.0) >= 2.91.0
BuildRequires: pkgconfig(libcanberra-gtk3) >= 0.4
BuildRequires: pkgconfig(x11)
BuildRequires:	intltool
Provides:	virtual-notification-daemon
Recommends:	notification-daemon-engine-nodoka

%description
A daemon that displays passive pop-up notifications as per the
Desktop Notifications spec (http://developer.gnome.org/notification-spec/).

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %name.lang
%doc AUTHORS ChangeLog README
%{_libexecdir}/%{name}
%{_datadir}/applications/notification-daemon.desktop
# ovitters: DO NOT PACKAGE THIS!
#           A desktop should start this explicitly themselves else it'll break
#           anything that already handles noticiations, such as e.g. GNOME
%exclude /etc/xdg/autostart/notification-daemon-autostart.desktop


%changelog
* Sun Apr 03 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 997969
- new version 3.20.0

* Tue Feb 16 2016 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 962388
- new version 3.18.2

* Fri Feb 12 2016 umeabot <umeabot> 3.18.1-2.mga6
+ Revision: 956268
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890073
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882875
- new release

* Mon Jun 22 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 839806
- new version 3.17.2

* Fri Jan 09 2015 alexl <alexl> 0.7.6-7.mga5
+ Revision: 809602
- fixed daemon crash when the timeout is reached (mga#14624)

* Wed Oct 15 2014 umeabot <umeabot> 0.7.6-6.mga5
+ Revision: 746407
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.6-5.mga5
+ Revision: 682919
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Tue Feb 04 2014 wally <wally> 0.7.6-4.mga5
+ Revision: 581016
- drop unneeded conflicts for xfce4-notifyd (mga#12480)

* Fri Oct 18 2013 umeabot <umeabot> 0.7.6-3.mga4
+ Revision: 508457
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.7.6-2.mga3
+ Revision: 361050
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 03 2012 ovitters <ovitters> 0.7.6-1.mga3
+ Revision: 287637
- new version 0.7.6

  + fwang <fwang>
    - clean up br

* Tue Jun 05 2012 ovitters <ovitters> 0.7.5-1.mga3
+ Revision: 255787
- new version 0.7.5

* Tue Mar 27 2012 ovitters <ovitters> 0.7.4-1.mga2
+ Revision: 227042
- new version 0.7.4

* Mon Oct 17 2011 wally <wally> 0.7.3-1.mga2
+ Revision: 155919
- new version 0.7.3
- drop some old obsoletes/provides

* Mon Sep 05 2011 fwang <fwang> 0.7.2-1.mga2
+ Revision: 138798
- new version 0.7.2

* Sun Jul 10 2011 wally <wally> 0.7.1-2.mga2
+ Revision: 121823
- drop unneeded preun scriptlet
- drop buildroot definition

* Fri Jun 10 2011 cjw <cjw> 0.7.1-1.mga2
+ Revision: 103263
- 0.7.1

* Sat Jan 15 2011 blino <blino> 0.5.0-2.mga1
+ Revision: 18778
- imported package notification-daemon

